<?php declare(strict_types=1);

namespace App\Tests\Unit\Service;

use App\Service\Favicon;

use function expect;
use function test;

test('Favicon returns SVG string', function (): void {
    $favicon = new Favicon();
    $result = (string)$favicon;
    
    expect($result)
        ->toBeString()
        ->toContain('data:image/svg+xml')
        ->toContain('transform=\'rotate(')
        ->toContain('viewBox=\'0 0 512 512\'');
})
    ->covers(Favicon::class);